package moe.oko.opennaw.model;

import org.bukkit.block.Block;

import java.util.UUID;

//Used primarily for SQL storage
//Used BOTH for Signs & Actual Openable blocks.
public class GateBlock {
    private UUID id;
    private Block block;

    public GateBlock(Block block) {
        this.block = block;
        this.id = UUID.randomUUID();
    }

    //Db Const
    public GateBlock(UUID uid, Block block) {
        this.id = uid;
        this.block = block;
    }

    public Block getBlock() {
        return block;
    }

    public UUID getId() {
        return id;
    }
}
